{
  "name": "mcdu",
  "version": "0.0.1",
  "description": "",
  "main": "index.js",
  "repository": {
    "type": "git",
    "url": "https://forge.apps.education.fr/romain.casati/mcdu"
  },
  "keywords": [
    "elementaire"
  ],
  "author": "Romain Casati",
  "license": "GPL-3.0-or-later",
  "devDependencies": {
    "@babel/core": "^7.23.7",
    "@babel/preset-env": "^7.23.7",
    "@babel/preset-react": "^7.23.3",
    "@babel/preset-typescript": "^7.23.3",
    "@types/react": "^18.2.46",
    "@types/react-dom": "^18.2.18",
    "babel-loader": "^9.1.3",
    "copy-webpack-plugin": "^11.0.0",
    "css-loader": "^6.8.1",
    "html-webpack-plugin": "^5.6.0",
    "mini-css-extract-plugin": "^2.7.6",
    "npm-run-all": "^4.1.5",
    "sass": "^1.69.6",
    "sass-loader": "^13.3.3",
    "ts-loader": "^9.5.1",
    "typescript": "^5.3.3",
    "typescript-plugin-css-modules": "^5.0.2",
    "webpack": "^5.89.0",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1"
  },
  "dependencies": {
    "@svgdotjs/svg.js": "^3.2.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "use-immer": "^0.9.0"
  },
  "scripts": {
    "build:dev": "webpack --mode development",
    "build:prod": "webpack --mode production",
    "build": "run-s build:prod",
    "start": "webpack serve --mode development"
  }
}
